Comment 79 for bug 369498

Rich Wohlstadter (rwohlsta) wrote :

We just ran across this today.

problem: 32bit gtk2 apps that link with /usr/lib32/libgio-2.0.so.0.2400.1 will throw these errors:

/usr/lib/gio/modules/libgiogconf.so: wrong ELF class: ELFCLASS64
Failed to load module: /usr/lib/gio/modules/libgiogconf.so
/usr/lib/gio/modules/libgvfsdbus.so: wrong ELF class: ELFCLASS64
Failed to load module: /usr/lib/gio/modules/libgvfsdbus.so
/usr/lib/gio/modules/libgioremote-volume-monitor.so: wrong ELF class: ELFCLASS64
Failed to load module: /usr/lib/gio/modules/libgioremote-volume-monitor.so

I did a 'strings /usr/lib32/libgio-2.0.so.0.2400.1' | grep 'gio/module' and see that the 32bit library is linking to /usr/lib/gio/modules instead of /usr/lib32/gio/modules so its trying to incorrectly load the 64bit libraries.